FLANG

Public Member Functions | Static Public Member Functions | List of all members
Fortran::semantics::DoConcurrentBodyEnforce Class Reference

## Public Member Functions
| DoConcurrentBodyEnforce (SemanticsContext &context, parser::CharBlock doConcurrentSourcePosition)
std::set< parser::Label > | labels ()
template<typename T >
bool | Pre (const T &)
template<typename T >
void | Post (const T &)
template<typename T >
bool | Pre (const parser::Statement< T > &statement)
template<typename T >
bool | Pre (const parser::UnlabeledStatement< T > &stmt)
void | SayDeallocateWithImpureFinal (const Symbol &entity, const char *reason)
void | SayDeallocateOfPolymorph (parser::CharBlock location, const Symbol &entity, const char *reason)
void | Post (const parser::BlockConstruct &blockConstruct)
void | Post (const parser::AssignmentStmt &stmt)
void | Post (const parser::DeallocateStmt &stmt)
void | Post (const parser::ExecutableConstruct &construct)
void | Post (const parser::ReturnStmt &)
void | Post (const parser::ProcedureDesignator &procedureDesignator)
void | Post (const parser::IoControlSpec &ioControlSpec)

## Static Public Member Functions
static bool | HasImpureFinal (const Symbol &symbol)
static bool | DeallocateAll (const Symbol &)
static bool | DeallocateNonCoarray (const Symbol &component)
static bool | WillDeallocatePolymorphic (const Symbol &entity, const std::function< bool(const Symbol &)> &WillDeallocate)
static bool | MightDeallocatePolymorphic (const Symbol &entity, const std::function< bool(const Symbol &)> &WillDeallocate)

The documentation for this class was generated from the following file:

- lib/Semantics/check-do-forall.cpp